'use strict'

module.exports = function (key) {
  var server = this.server
  var socket = this.socket
  var config = {}

  this.permissions.collection[key] = config

  return {
    read: function (fn) {
      config.read = fn
      return this
    },
    edit: function (fn) {
      config.edit = fn
      return this
    },
    write: function (fn) {
      config.write = fn
      return this
    }
  }
}
