'use strict'

const C = require('were-constants')
const queue = require('lib/queue')
const log = require('lib/log')

module.exports = function () {

  var socket = this.socket

  socket.subscribe({
    topic: C.TOPIC.EVENT,
    action: C.ACTION.EMIT
  }, function (topic, action, id, name, data) {

    queue.events.emit(name, {
      topic: topic,
      action: action,
      id: id,
      name: name,
      data: data
    })
  })
}
