'use strict'

const C = require('were-constants')
const queue = require('lib/queue')
const log = require('lib/log')

module.exports = function () {

  var socket = this.socket

  socket.subscribe({
    topic: C.TOPIC.EVENT,
    action: C.ACTION.UNSUBSCRIBE
  }, function (topic, action, id, name, data) {

    queue.events.off(name, socket.send)

  })
}
