'use strict'

var log = require('lib/log')

module.exports = function (type, name, permission, auth, data) {
  try {
    var result = this.permissions[name][permission](auth, data)
    return result
  } catch (e) {
    log.error(e)
    return false
  }
}
