
exports.MESSAGE_SEPERATOR = String.fromCharCode(30)
exports.MESSAGE_PART_SEPERATOR = String.fromCharCode(31)

exports.TOPIC = {}
exports.TOPIC.AUTH = 'A'
exports.TOPIC.ERROR = 'X'
exports.TOPIC.EVENT = 'E'
exports.TOPIC.FETCH = 'F'
exports.TOPIC.WATCH = 'W'
exports.TOPIC.WRITE = 'C'
exports.TOPIC.RPC = 'P'

exports.ACTION = {}
exports.ACTION.ACK = 'A'
exports.ACTION.FIND = 'F'
exports.ACTION.COUNT = 'C'
exports.ACTION.UPDATE = 'U'
exports.ACTION.STORE = 'I'
exports.ACTION.PATCH = 'P'
exports.ACTION.GRANTED = 'G'
exports.ACTION.DENIED = 'D'
exports.ACTION.PATCH = 'P'
exports.ACTION.REMOVE = 'R'
exports.ACTION.SUBSCRIBE = 'S'
exports.ACTION.UNSUBSCRIBE = 'US'
exports.ACTION.EMIT = 'E'
exports.ACTION.ERROR = 'ERR'
exports.ACTION.REQUEST = 'REQ'
exports.ACTION.RESPONSE = 'RES'
exports.ACTION.REJECTION = 'REJ'

exports.EVENT = {}
exports.EVENT.CONNECTION_ERROR = 'connectionError'
exports.EVENT.CONNECTION_STATE_CHANGED = 'connectionStateChanged'
exports.EVENT.ACK_TIMEOUT = 'ACK_TIMEOUT'
exports.EVENT.RESPONSE_TIMEOUT = 'RESPONSE_TIMEOUT'
exports.EVENT.DELETE_TIMEOUT = 'DELETE_TIMEOUT'
exports.EVENT.UNSOLICITED_MESSAGE = 'UNSOLICITED_MESSAGE'
exports.EVENT.MESSAGE_PARSE_ERROR = 'MESSAGE_PARSE_ERROR'
exports.EVENT.VERSION_EXISTS = 'VERSION_EXISTS'
exports.EVENT.NOT_AUTHENTICATED = 'NOT_AUTHENTICATED'
exports.EVENT.LISTENER_EXISTS = 'LISTENER_EXISTS'
exports.EVENT.NOT_LISTENING = 'NOT_LISTENING'
exports.EVENT.TOO_MANY_AUTH_ATTEMPTS = 'TOO_MANY_AUTH_ATTEMPTS'
exports.EVENT.IS_CLOSED = 'IS_CLOSED'
exports.EVENT.UNKNOWN_CALLEE = 'UNKNOWN_CALLEE'
exports.EVENT.RECORD_NOT_FOUND = 'RECORD_NOT_FOUND'
